#!/bin/bash

## import cacert root certificate (imports to system, works for chromium)

sudo apt-get install libnss3-tools wget

wget -O cacert-root.crt "http://www.cacert.org/certs/root.crt"
wget -O cacert-class3.crt "http://www.cacert.org/certs/class3.crt"
certutil -d sql:$HOME/.pki/nssdb -A -t TC -n "CAcert.org" -i cacert-root.crt
certutil -d sql:$HOME/.pki/nssdb -A -t TC -n "CAcert.org Class 3" -i cacert-class3.crt
rm cacert-root.crt
rm cacert-class3.crt

# source: http://wiki.cacert.org/BrowserClients
