#!/bin/bash

# install and configure zsh

zshinstall()
{

    if [ -d ~/.oh-my-zsh/custom/.git ]; then
        echo "skipping zsh installation. is already there."
    else
        echo "installing curl, zsh and git-core as dependencies of zsh configuration"
        sudo apt-get update && sudo apt-get install -y curl zsh git-core
        curl -L https://github.com/robbyrussell/oh-my-zsh/raw/master/tools/install.sh | sh
        rm -rf ~/.oh-my-zsh/custom/
        cd ~/.oh-my-zsh/
        git clone git://git.socialnerds.org/zshconfig.git custom
        echo ""
        read -p "now modify your ~/.zshrc to your needs"
        vi ~/.zshrc
        echo ""
        read -p "time to change your default shell to /bin/zsh"
        sudo vi /etc/passwd
    fi

}


#start of script

zshinstall



#end of file
